[
  {
    "time": 0,
    "kind": "load",
    "procedure": "main",
    "pc": 0,
    "message": "Loaded W2RuntimeTimeout",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "moduleName": "W2RuntimeTimeout"
    },
    "id": 1
  },
  {
    "time": 0,
    "kind": "wait",
    "procedure": "main",
    "pc": 0,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "status": "waiting",
      "elapsed": 0
    },
    "id": 2
  },
  {
    "time": 0,
    "kind": "wait",
    "procedure": "main",
    "pc": 0,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "status": "waiting",
      "elapsed": 0
    },
    "id": 3
  },
  {
    "time": 0,
    "kind": "wait",
    "procedure": "main",
    "pc": 0,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "status": "waiting",
      "elapsed": 0
    },
    "id": 4
  },
  {
    "time": 0.1,
    "kind": "wait",
    "procedure": "main",
    "pc": 0,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "status": "timeout",
      "elapsed": 0.1
    },
    "id": 5
  },
  {
    "time": 0.1,
    "kind": "alarm",
    "procedure": "main",
    "pc": 0,
    "message": "DI99 timeout",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "alarmId": "DI99 timeout",
      "severity": "warning"
    },
    "id": 6
  },
  {
    "time": 0.1,
    "kind": "instruction",
    "procedure": "main",
    "pc": 1,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:10:5",
      "sourceMap": {
        "line": 10,
        "column": 5
      },
      "procedureId": "main"
    },
    "id": 7
  },
  {
    "time": 0.1,
    "kind": "wait",
    "procedure": "main",
    "pc": 1,
    "instructionKind": "WAIT",
    "source": {
      "kind": "WAIT",
      "id": "main:WAIT:11:5",
      "sourceMap": {
        "line": 11,
        "column": 5
      },
      "procedureId": "main"
    },
    "data": {
      "status": "waiting",
      "elapsed": 0
    },
    "id": 8
  }
]
